Mantis Bugtracker

Viewing Issue Advanced Details Jump to Notes ] View Simple ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0000053 [MyDNS-NG] Global block always 2010-04-20 02:07 2010-10-31 00:41
Reporter itamarjp View Status public  
Assigned To itamarjp
Priority normal Resolution fixed Platform
Status resolved   OS
Projection none   OS Version
ETA none Fixed in Version Trunk Product Version 1.2.9.2
  Target Version Product Build
Summary 0000053: mydns svn doesn`t compile with postgresql.
Description I think you have applied sql.patch, this patch causes a compile failure when compiling with postgresql support.

+ char *host2 = NULL;
 #if USE_PGSQL
- sql = PQsetdbLogin(host, portp, NULL, NULL, database, user, password);
+ char *portp2;
+ const char *host2;



host2 has been declated 2 times when compiling with postgresql support, can you fix this, also can you run dos2unix in sql.c ?

can you stop editing files with window$ ?
Steps To Reproduce
Additional Information
Tags No tags attached.
Attached Files ? file icon dos2unix-sql_c.patch [^] (32,986 bytes) 2010-04-20 02:24
? file icon fix_compile_with-pgsql.patch [^] (427 bytes) 2010-04-20 02:24

- Relationships

-  Notes
(0000149)
itamarjp (developer)
2010-04-21 22:01

patch commited.

- Issue History
Date Modified Username Field Change
2010-04-20 02:07 itamarjp New Issue
2010-04-20 02:24 itamarjp File Added: dos2unix-sql_c.patch
2010-04-20 02:24 itamarjp File Added: fix_compile_with-pgsql.patch
2010-04-21 22:01 itamarjp Note Added: 0000149
2010-10-31 00:41 itamarjp Status new => resolved
2010-10-31 00:41 itamarjp Fixed in Version => Trunk
2010-10-31 00:41 itamarjp Resolution open => fixed
2010-10-31 00:41 itamarjp Assigned To => itamarjp


Mantis 1.1.6[^]
Copyright © 2000 - 2008 Mantis Group
Powered by Mantis Bugtracker